import { DeviceIdParameter } from '../../../types';
import { BusContext, BusMessage, BusSubscriber } from '../index';
export type onDeviceIdCallback = (deviceIdParameter?: DeviceIdParameter, isPolling?: boolean) => Promise<string>;
export declare class SecurityBusSubscriber extends BusSubscriber {
    private _onDeviceIdCallback?;
    constructor(onDeviceIdCallback?: onDeviceIdCallback);
    actionNames(): string[];
    protected getSecurityDeviceId(context: BusContext, message: BusMessage): Promise<void>;
    onMessage(context: BusContext, message: BusMessage): void;
}
